This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165363 - Review Request: Xprobe2, an active operating system fingerprinting tool
Review Request: Xprobe2, an active operating system fingerprinting tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
http://www.sys-security.com/index.php...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-08 11:47 EDT by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-08 20:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-08-08 11:47:12 EDT
Spec Name or Url: http://people.redhat.com/lmacken/xprobe2.spec
SRPM Name or Url: http://people.redhat.com/lmacken/xprobe2-0.3-1.src.rpm

Description:

Xprobe is an alternative to some tools which are heavily dependent upon the
usage of the TCP protocol for remote active operating system fingerprinting.

Xprobe I combines various remote active operating system fingerprinting methods
using the ICMP protocol, which were discovered during the "ICMP Usage in
Scanning" research project, into a simple, fast, efficient and a powerful way
to detect an underlying operating system a targeted host is using.

Xprobe2 is an active operating system fingerprinting tool with a different
approach to operating system fingerprinting. Xprobe2 rely on fuzzy signature
matching, probabilistic guesses, multiple matches simultaneously, and a
signature database.
Comment 1 Orion Poplawski 2005-08-08 19:13:37 EDT
Source url sould be:

Source0:        http://dl.sf.net/xprobe/%{name}-%{version}.tar.gz

This seems okay:

W: xprobe2 wrong-file-end-of-line-encoding
/usr/share/doc/xprobe2-0.3/xprobe2-defcon10.pdf

Other than the above everything looks okay.  I'll approve.
Comment 2 Luke Macken 2005-08-08 20:22:35 EDT
Thanks for the review!

Fixed Source0 and enqueued to be built.  I'll close this bug once it succeeds.
Comment 3 Luke Macken 2005-08-08 20:35:34 EDT
549: xprobe2 (xprobe2-0_3-1_fc5)  lmacken@redhat.com   needsign
        hammer1.fedora.redhat.com(i386):
0b987ff54f49b207df1e94f437c808dd626c5e06 done/done
        ppc1.fedora.redhat.com(ppc): 481d5e87eedeff1da9a8103818595c88e86ca0ee
done/done
        hammer2.fedora.redhat.com(x86_64):
9748cc5a9496741bff9a3f2e5c4e30bd69ac768d done/done

Seems to have built fine.  Added bugzilla component for xprobe2 in owners.list
file as well.

Note You need to log in before you can comment on or make changes to this bug.